package com.yxproject.start.entity;

import javax.persistence.*;

/**
 * Created by Administrator on 2018/11/30.
 */
@Entity
@Table(name = "FIND_STATION_COUNT_BY_VIEW", schema = "DAHAI", catalog = "")
public class FindStationCountByViewEntity {
    private String submit_Date;
    private Long shujuheyan;
    private Long dayinfenpei;
    private Long xiezaidayin;
    private Long chejianyudingwei;
    private Long chejianzhuanchu;
    private Long rengongzhijina;
    private Long cangkuguanli;
    private Long caiwuguanli;
    private Long applyCount;

    @Id
    @Column(name = "SUBMIT_DATE", nullable = true, length = 10)
    public String getSubmitDate() {
        return submit_Date;
    }

    public void setSubmitDate(String submitDate) {
        this.submit_Date = submitDate;
    }

    @Basic
    @Column(name = "SHUJUHEYAN", nullable = true, precision = 0)
    public Long getShujuheyan() {
        return shujuheyan;
    }

    public void setShujuheyan(Long shujuheyan) {
        this.shujuheyan = shujuheyan;
    }

    @Basic
    @Column(name = "DAYINFENPEI", nullable = true, precision = 0)
    public Long getDayinfenpei() {
        return dayinfenpei;
    }

    public void setDayinfenpei(Long dayinfenpei) {
        this.dayinfenpei = dayinfenpei;
    }

    @Basic
    @Column(name = "XIEZAIDAYIN", nullable = true, precision = 0)
    public Long getXiezaidayin() {
        return xiezaidayin;
    }

    public void setXiezaidayin(Long xiezaidayin) {
        this.xiezaidayin = xiezaidayin;
    }

    @Basic
    @Column(name = "CHEJIANYUDINGWEI", nullable = true, precision = 0)
    public Long getChejianyudingwei() {
        return chejianyudingwei;
    }

    public void setChejianyudingwei(Long chejianyudingwei) {
        this.chejianyudingwei = chejianyudingwei;
    }

    @Basic
    @Column(name = "CHEJIANZHUANCHU", nullable = true, precision = 0)
    public Long getChejianzhuanchu() {
        return chejianzhuanchu;
    }

    public void setChejianzhuanchu(Long chejianzhuanchu) {
        this.chejianzhuanchu = chejianzhuanchu;
    }

    @Basic
    @Column(name = "RENGONGZHIJINA", nullable = true, precision = 0)
    public Long getRengongzhijina() {
        return rengongzhijina;
    }

    public void setRengongzhijina(Long rengongzhijina) {
        this.rengongzhijina = rengongzhijina;
    }

    @Basic
    @Column(name = "CANGKUGUANLI", nullable = true, precision = 0)
    public Long getCangkuguanli() {
        return cangkuguanli;
    }

    public void setCangkuguanli(Long cangkuguanli) {
        this.cangkuguanli = cangkuguanli;
    }

    @Basic
    @Column(name = "CAIWUGUANLI", nullable = true, precision = 0)
    public Long getCaiwuguanli() {
        return caiwuguanli;
    }

    public void setCaiwuguanli(Long caiwuguanli) {
        this.caiwuguanli = caiwuguanli;
    }

    @Basic
    @Column(name = "APPLY_COUNT", nullable = true, precision = 0)
    public Long getApplyCount() {
        return applyCount;
    }

    public void setApplyCount(Long applyCount) {
        this.applyCount = applyCount;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        FindStationCountByViewEntity that = (FindStationCountByViewEntity) o;

        if (submit_Date != null ? !submit_Date.equals(that.submit_Date) : that.submit_Date != null) return false;
        if (shujuheyan != null ? !shujuheyan.equals(that.shujuheyan) : that.shujuheyan != null) return false;
        if (dayinfenpei != null ? !dayinfenpei.equals(that.dayinfenpei) : that.dayinfenpei != null) return false;
        if (xiezaidayin != null ? !xiezaidayin.equals(that.xiezaidayin) : that.xiezaidayin != null) return false;
        if (chejianyudingwei != null ? !chejianyudingwei.equals(that.chejianyudingwei) : that.chejianyudingwei != null)
            return false;
        if (chejianzhuanchu != null ? !chejianzhuanchu.equals(that.chejianzhuanchu) : that.chejianzhuanchu != null)
            return false;
        if (rengongzhijina != null ? !rengongzhijina.equals(that.rengongzhijina) : that.rengongzhijina != null)
            return false;
        if (cangkuguanli != null ? !cangkuguanli.equals(that.cangkuguanli) : that.cangkuguanli != null) return false;
        if (caiwuguanli != null ? !caiwuguanli.equals(that.caiwuguanli) : that.caiwuguanli != null) return false;
        if (applyCount != null ? !applyCount.equals(that.applyCount) : that.applyCount != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = submit_Date != null ? submit_Date.hashCode() : 0;
        result = 31 * result + (shujuheyan != null ? shujuheyan.hashCode() : 0);
        result = 31 * result + (dayinfenpei != null ? dayinfenpei.hashCode() : 0);
        result = 31 * result + (xiezaidayin != null ? xiezaidayin.hashCode() : 0);
        result = 31 * result + (chejianyudingwei != null ? chejianyudingwei.hashCode() : 0);
        result = 31 * result + (chejianzhuanchu != null ? chejianzhuanchu.hashCode() : 0);
        result = 31 * result + (rengongzhijina != null ? rengongzhijina.hashCode() : 0);
        result = 31 * result + (cangkuguanli != null ? cangkuguanli.hashCode() : 0);
        result = 31 * result + (caiwuguanli != null ? caiwuguanli.hashCode() : 0);
        result = 31 * result + (applyCount != null ? applyCount.hashCode() : 0);
        return result;
    }
}
